Package com.independentsoft.office.charts

# Class ChartCategoryAxis

java.lang.Object
com.independentsoft.office.charts.ChartCategoryAxis

All Implemented Interfaces:
  `IAxis`

public class ChartCategoryAxis extends Object implements IAxis
The Class ChartCategoryAxis.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChartCategoryAxis()`
  Instantiates a new chart category axis.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChartCategoryAxis`
  `clone()`
  `ChartShapeProperties`
  `getChartShapeProperties()`
  Gets the chart shape properties.
  `Crosses`
  `getCrosses()`
  Gets the crosses.
  `double`
  `getCrossesValue()`
  Gets the crosses value.
  `long`
  `getCrossingAxisID()`
  Gets the crossing axis id.
  `ExtensionList`
  `getExtensionList()`
  Gets the extension list (`c:extLst`).
  `long`
  `getID()`
  Gets the id.
  `LabelAlignment`
  `getLabelAlignment()`
  Gets the label alignment.
  `int`
  `getLabelOffset()`
  Gets the label offset.
  `MajorGridlines`
  `getMajorGridlines()`
  Gets the major gridlines.
  `TickMark`
  `getMajorTickMark()`
  Gets the major tick mark.
  `MinorGridlines`
  `getMinorGridlines()`
  Gets the minor gridlines.
  `TickMark`
  `getMinorTickMark()`
  Gets the minor tick mark.
  `NumberFormat`
  `getNumberFormat()`
  Gets the number format.
  `AxisPosition`
  `getPosition()`
  Gets the position.
  `Scaling`
  `getScaling()`
  Gets the scaling.
  `TextProperties`
  `getTextProperties()`
  Gets the text properties.
  `TickLabelPosition`
  `getTickLabelPosition()`
  Gets the tick label position.
  `int`
  `getTickLabelSkip()`
  Gets the tick label skip.
  `int`
  `getTickMarkSkip()`
  Gets the tick mark skip.
  `Title`
  `getTitle()`
  Gets the title.
  `boolean`
  `isAuto()`
  Checks if is auto.
  `boolean`
  `isDelete()`
  Checks if is delete.
  `boolean`
  `isNoMultiLevelLabels()`
  Checks if is no multi level labels.
  `void`
  `setAuto​(boolean auto)`
  Sets the auto.
  `void`
  `setCrosses​(Crosses crosses)`
  Sets the crosses.
  `void`
  `setCrossesValue​(double crossesValue)`
  Sets the crosses value.
  `void`
  `setCrossingAxisID​(long crossingAxisID)`
  Sets the crossing axis id.
  `void`
  `setDelete​(boolean delete)`
  Sets the delete.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the extension list (`c:extLst`).
  `void`
  `setID​(long id)`
  Sets the id.
  `void`
  `setLabelAlignment​(LabelAlignment labelAlignment)`
  Sets the label alignment.
  `void`
  `setLabelOffset​(int labelOffset)`
  Sets the label offset.
  `void`
  `setMajorGridlines​(MajorGridlines majorGridlines)`
  Sets the major gridlines.
  `void`
  `setMajorTickMark​(TickMark majorTickMark)`
  Sets the major tick mark.
  `void`
  `setMinorGridlines​(MinorGridlines minorGridlines)`
  Sets the minor gridlines.
  `void`
  `setMinorTickMark​(TickMark minorTickMark)`
  Sets the minor tick mark.
  `void`
  `setNoMultiLevelLabels​(boolean noMultiLevelLabels)`
  Sets the no multi level labels.
  `void`
  `setNumberFormat​(NumberFormat numberFormat)`
  Sets the number format.
  `void`
  `setPosition​(AxisPosition position)`
  Sets the position.
  `void`
  `setScaling​(Scaling scaling)`
  Sets the scaling.
  `void`
  `setTickLabelPosition​(TickLabelPosition tickLabelPosition)`
  Sets the tick label position.
  `void`
  `setTickLabelSkip​(int tickLabelSkip)`
  Sets the tick label skip.
  `void`
  `setTickMarkSkip​(int tickMarkSkip)`
  Sets the tick mark skip.
  `void`
  `setTitle​(Title title)`
  Sets the title.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChartCategoryAxis

    public ChartCategoryAxis()
    Instantiates a new chart category axis.

- ## Method Details

  - ### clone

    public ChartCategoryAxis clone()
    Specified by:
      `clone` in interface `IAxis`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the extension list (`c:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the extension list (`c:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### isAuto

    public boolean isAuto()
    Checks if is auto.
    Returns:
      true, if is auto

  - ### setAuto

    public void setAuto​(boolean auto)
    Sets the auto.
    Parameters:
      `auto` - the new auto

  - ### getID

    public long getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(long id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getPosition

    public AxisPosition getPosition()
    Gets the position.
    Returns:
      the position

  - ### setPosition

    public void setPosition​(AxisPosition position)
    Sets the position.
    Parameters:
      `position` - the new position

  - ### getCrossingAxisID

    public long getCrossingAxisID()
    Gets the crossing axis id.
    Returns:
      the crossing axis id

  - ### setCrossingAxisID

    public void setCrossingAxisID​(long crossingAxisID)
    Sets the crossing axis id.
    Parameters:
      `crossingAxisID` - the new crossing axis id

  - ### getCrosses

    public Crosses getCrosses()
    Gets the crosses.
    Returns:
      the crosses

  - ### setCrosses

    public void setCrosses​(Crosses crosses)
    Sets the crosses.
    Parameters:
      `crosses` - the new crosses

  - ### getCrossesValue

    public double getCrossesValue()
    Gets the crosses value.
    Returns:
      the crosses value

  - ### setCrossesValue

    public void setCrossesValue​(double crossesValue)
    Sets the crosses value.
    Parameters:
      `crossesValue` - the new crosses value

  - ### isDelete

    public boolean isDelete()
    Checks if is delete.
    Returns:
      true, if is delete

  - ### setDelete

    public void setDelete​(boolean delete)
    Sets the delete.
    Parameters:
      `delete` - the new delete

  - ### getLabelAlignment

    public LabelAlignment getLabelAlignment()
    Gets the label alignment.
    Returns:
      the label alignment

  - ### setLabelAlignment

    public void setLabelAlignment​(LabelAlignment labelAlignment)
    Sets the label alignment.
    Parameters:
      `labelAlignment` - the new label alignment

  - ### getLabelOffset

    public int getLabelOffset()
    Gets the label offset.
    Returns:
      the label offset

  - ### setLabelOffset

    public void setLabelOffset​(int labelOffset)
    Sets the label offset.
    Parameters:
      `labelOffset` - the new label offset

  - ### getMajorGridlines

    public MajorGridlines getMajorGridlines()
    Gets the major gridlines.
    Returns:
      the major gridlines

  - ### setMajorGridlines

    public void setMajorGridlines​(MajorGridlines majorGridlines)
    Sets the major gridlines.
    Parameters:
      `majorGridlines` - the new major gridlines

  - ### getMajorTickMark

    public TickMark getMajorTickMark()
    Gets the major tick mark.
    Returns:
      the major tick mark

  - ### setMajorTickMark

    public void setMajorTickMark​(TickMark majorTickMark)
    Sets the major tick mark.
    Parameters:
      `majorTickMark` - the new major tick mark

  - ### getMinorGridlines

    public MinorGridlines getMinorGridlines()
    Gets the minor gridlines.
    Returns:
      the minor gridlines

  - ### setMinorGridlines

    public void setMinorGridlines​(MinorGridlines minorGridlines)
    Sets the minor gridlines.
    Parameters:
      `minorGridlines` - the new minor gridlines

  - ### getMinorTickMark

    public TickMark getMinorTickMark()
    Gets the minor tick mark.
    Returns:
      the minor tick mark

  - ### setMinorTickMark

    public void setMinorTickMark​(TickMark minorTickMark)
    Sets the minor tick mark.
    Parameters:
      `minorTickMark` - the new minor tick mark

  - ### getNumberFormat

    public NumberFormat getNumberFormat()
    Gets the number format.
    Returns:
      the number format

  - ### setNumberFormat

    public void setNumberFormat​(NumberFormat numberFormat)
    Sets the number format.
    Parameters:
      `numberFormat` - the new number format

  - ### isNoMultiLevelLabels

    public boolean isNoMultiLevelLabels()
    Checks if is no multi level labels.
    Returns:
      true, if is no multi level labels

  - ### setNoMultiLevelLabels

    public void setNoMultiLevelLabels​(boolean noMultiLevelLabels)
    Sets the no multi level labels.
    Parameters:
      `noMultiLevelLabels` - the new no multi level labels

  - ### getScaling

    public Scaling getScaling()
    Gets the scaling.
    Returns:
      the scaling

  - ### setScaling

    public void setScaling​(Scaling scaling)
    Sets the scaling.
    Parameters:
      `scaling` - the new scaling

  - ### getTitle

    public Title getTitle()
    Gets the title.
    Returns:
      the title

  - ### setTitle

    public void setTitle​(Title title)
    Sets the title.
    Parameters:
      `title` - the new title

  - ### getChartShapeProperties

    public ChartShapeProperties getChartShapeProperties()
    Gets the chart shape properties.
    Returns:
      the chart shape properties

  - ### getTickLabelPosition

    public TickLabelPosition getTickLabelPosition()
    Gets the tick label position.
    Returns:
      the tick label position

  - ### setTickLabelPosition

    public void setTickLabelPosition​(TickLabelPosition tickLabelPosition)
    Sets the tick label position.
    Parameters:
      `tickLabelPosition` - the new tick label position

  - ### getTickLabelSkip

    public int getTickLabelSkip()
    Gets the tick label skip.
    Returns:
      the tick label skip

  - ### setTickLabelSkip

    public void setTickLabelSkip​(int tickLabelSkip)
    Sets the tick label skip.
    Parameters:
      `tickLabelSkip` - the new tick label skip

  - ### getTickMarkSkip

    public int getTickMarkSkip()
    Gets the tick mark skip.
    Returns:
      the tick mark skip

  - ### setTickMarkSkip

    public void setTickMarkSkip​(int tickMarkSkip)
    Sets the tick mark skip.
    Parameters:
      `tickMarkSkip` - the new tick mark skip

  - ### getTextProperties

    public TextProperties getTextProperties()
    Gets the text properties.
    Returns:
      the text properties